cal_days_in_month
cal_info
Calendar Functions
PHP Manual

# cal_from_jd

Converts from Julian Day Count to a supported calendar

### Description

array cal_from_jd ( int `$jd` , int `$calendar` )

cal_from_jd converts the Julian day given in `jd` into a date of the specified `calendar`. Supported `calendar` values are `CAL_GREGORIAN`, `CAL_JULIAN`, `CAL_JEWISH` and `CAL_FRENCH`.

### Parameters

`jd`

  Julian day as integer

`calendar`

  Calendar to convert to

### Return Values

Returns an array containing calendar information like month, day, year, day of week, abbreviated and full names of weekday and month and the date in string form "month/day/year".

### Examples

Example #1 cal_from_jd example

`<?php
$today = unixtojd(mktime(0, 0, 0, 8, 16, 2003));
print_r(cal_from_jd($today, CAL_GREGORIAN));
?>`

The above example will output:

    Array
    (
        [date] => 8/16/2003
        [month] => 8
        [day] => 16
        [year] => 2003
        [dow] => 6
        [abbrevdayname] => Sat
        [dayname] => Saturday
        [abbrevmonth] => Aug
        [monthname] => August
    )

### See Also

- cal_to_jd
- jdtofrench
- jdtogregorian
- jdtojewish
- jdtojulian
- jdtounix